Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005532TestLinkRequirement Managementpublic2013-02-16 11:382013-05-26 18:50
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005532: Specification: How to manage Frozen Req
DescriptionSome items are managed at Requirement level i.e. are applied to all version and revisions:

attachments
req relations
coverage

Then at GUI (and may be API) level, management has to be done on following way:

1. Coverage button
enabled only on LATEST not frozen version
not present on other req. versions

2. Relation box
enabled only on LATEST not frozen version
not present on other req. versions

3. attachments mgmt
enabled only on LATEST not frozen version
not present on other req. versions


if all req version are frozen, management of previous described items have to
be disabled
TagsNo tags attached.
Database (MySQL,Postgres,etc)ANY
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
parent of 0005523closedfman Attachments to a frozen requirement can be deleted 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-02-16 11:38 fman New Issue
2013-02-16 11:38 fman Status new => assigned
2013-02-16 11:38 fman Assigned To => fman
2013-02-16 11:53 fman Relationship added parent of 0005523
2013-03-09 08:55 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-09 08:55 fman Status assigned => resolved
2013-03-09 08:55 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-03-09 08:55 fman Resolution open => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker